<template>
  <div
    id="kt_content_container"
    class="container-xxl"
  >
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de transporte
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-primary ms-5"
                @click="onTransporteListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaTransporteListar"
          :transportes="transportes"
          :response-listar="response.listar"
        />
      </div>
    </div>
  </div>
</template>
<script>
import TablaListar from "@/components/panel/transporte/TablaTransporteListar";
import Servicio from "@/core/servicio/Servicio";
import Ruta from "@/core/servicio/Ruta";
import Toast from "@/core/util/Toast";

export default {
  name: 'TransporteListar',
  components: {
    TablaListar
  },
  data() {
    return {
      sTransporte: {},
      transportes: [],
      response: {
        listar: 'LOADING'
      }
    }
  },
  mounted() {
    this.onTransporteListar();
  },
  methods: {
    onTransporteListar() {
      this.response.listar = 'LOADING';
      Servicio.get(Ruta.PANEL_TRANSPORTE_LISTAR).then( (data) => {
        this.transportes = data.data;
        this.response.listar = data.estado;
      }).catch( (error) => {
        this.response.listar = 'ERROR';
        Toast.mostrarError(error);
      });
    },
  }
}
</script>